Download multiple files
curl --request POST \
--url https://api.gumloop.com/api/v1/download_files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"file_names": [
"<string>"
],
"run_id": "<string>",
"user_id": "<string>",
"project_id": "<string>",
"saved_item_id": "<string>"
}
'import requests
url = "https://api.gumloop.com/api/v1/download_files"
payload = {
"file_names": ["<string>"],
"run_id": "<string>",
"user_id": "<string>",
"project_id": "<string>",
"saved_item_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
file_names: ['<string>'],
run_id: '<string>',
user_id: '<string>',
project_id: '<string>',
saved_item_id: '<string>'
})
};
fetch('https://api.gumloop.com/api/v1/download_files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"Download multiple files
POST
/
download_files
Download multiple files
Authorizations
Body
application/json
An array of file names to download.
The ID of the flow run associated with the files.
The user ID associated with the files. Required if project_id is not provided.
The project ID associated with the files. Required if user_id is not provided.
Optional. The saved item ID associated with the files.
Response
Files downloaded successfully as a zip
The response is of type file.
Was this page helpful?
⌘I
